Overview

Overview

The purpose of the program is to calculate natural frequencies and eigenvectors of mechanical structures for vibration analysis. This allows to check if there is any risk of resonance with excitation frequencies from external efforts.

The mechanical structure is modelized with lumped springs and masses.

The simplest structure is one spring K with one mass M :

Ex: K = 2 E 5 N/m M = 2.5 kg

The natural frequency

The same model in Freq:

The same principle is valid for more complex structures with more than one mass and one spring. There will be as many natural frequencies also called natural modes as there are masses in the system.

Details in the chapter Theory .


Main menu
Main Menu

New model

Calculate model

Load model

Save model

General data

Model data

Results data

Display matrix data

Setup

About Freq

Exit program


First model

First model

Click on [image] New model.

Enter the different data and click on [image] to confirm and exit.

Click on [image] to select a reference element.

Point on the screen at the location where you want to place the reference element

Click on [image] to select a horizontal linear stiffness.

Point on the screen at the location where you want to place the stiffness.

Enter the value of the stiffness, 200000 or 2E5 N/m

Click on [image] to confirm.

Click on [image] to select a mass.

Point on the screen at the location where you want to place the mass.

Enter it's value, 2.5 kg.

Click on [image] to confirm.

Click on [image] to calculate.

Click on [image] to save the model.


Second model

Second model

Let's create a new more complex module.

Begin like with the first model.

Then, click on stiffness 1, it is displayed in green.

Click on [image] to copy this stiffness.

Point on the place where the 2nd stiffness will be placed.

Click on [image] to select the pointer.

Click on mass M1.

Click on [image] to copy mass M1.

Click on the position where the 2nd mass should be placed.

Click on [image] to select the pointer again.

Click on [image] to select Assembling.

Click on stiffness K2 and mass M2, and click on [image] again to finish the assembling.
Stiffness K2 is the selected reference element of the group displayed in green.

Click on [image] to copy.

Click on the position where the selected element, in this case stiffness K2, should be placed to copy the whole group.

To finish the model we need to link stiffness K3 to mass M1.

Click on [image] to select the link function.

Point onto K3 and move the stylus to M1 and release.

Click on [image] to select the pointer.

Let's modify the values of stiffness K3 and mass M3.

Click on K3.

We see that that K3 has been selected, and it's value is 200000 N/m

Click on [image] to select the entry panel.

Enter the new value: 2.5 E5 and click on [image] to confirm.

Click on M3.

Now we see that M3 is the selected element, displayed in green.

Click on [image] to select the entry panel.

The new value of M3 is 32 / 7.

To enter the value let's calculate it.

Click on [image] to display the RPN calculator.

Enter 32, and click on

Enter 7

Click on [image] to divide 32 / 7.

Click on [image] to quit the calculator.

The result is transferred.

Click on [image] to confirm.

Click on [image] to calculate the result.

Click on [image] to save the model.


New model

New model

The program asks for confirmation if you really want to begin a new model.

Enter the different data and click on [image] to confirm and exit.


Save Load a model

Save Load a model

Save

Load

Click on [image] to load a model file.

Select the file, for example Test10.frq in the list.

You can:

Confirm the file selection. The model file is loaded and calculated.

Quit the function without selecting a file.
Go back to the parent folder.

Create a new directory.


Display Data

Display Data

General data [image] Model data [image] Result [image] Matrix data

Example

General data

Enter or modify the data and click on [image] to confirm and exit.

Model data

You can select any element and modify it's value.

Results

Click on [image] to increase or on [image] to decrease the size of the display.

Click on a frequency in the list to display it's eigenvector.

Click on [image] to exit.

Matrix data

It is possible to display following matrices:

- Dynamic matrix
- Stiffness matrix

- Mass matrix

Click on [image] to exit.


Setup

Setup

You can select your language, only the available languages are enabled.

You can select the default directory with [image] .

You can check if you want to be prompted before leaving the program.

You can check if you want to load at the next program start the last used model.


About

About


Toolbox
Toolbox

Cursor

References

Mass linear motion in kg / inertia rotary motion in kg m2

Stiffness linear motion in N / m

Stiffness rotary motion in Nm / rad

Transformers

3 spring elements

Link

Delete an element or group

Copy an element or group

Assemble elements into a group

Disassemble an element group


Cursor

Cursor

The cursor allows to place or select elements.

To place elements see First model .

To select an element click on it:

· Single element, it is displayed in red and
a new button [image] is displayed, that allows to modify the element's value.

· Group of elements, the element that you clicked on is the reference element and is displayed in green and all the others in red.


Mass Inertia

Mass Inertia

The kind of the generalized mass depends on the kind of motion.

· Linear mass in kg

· Rotational inertia in kg m2


Stiffness

Stiffness

The unit of the stiffnesses depends on the kind of motion.

- Linear N / m
- Rotational N m / rad


Transformers

Transformers

Transformers are used to link different motions.

The definition of a transformer

Examples:
type unit
- gears [-]
- lever [m]

In the case of a lever, the hub of the lever represents the mass with a rotational motion and the rod connected to the lever represents the stiffness with a linear motion.

So [image] T represents the radius of the lever.


3 Springs

3 Springs

In the model below there are 3 springs connected together and between 3 masses.

The program modifies the 'star' configuration into a 'triangle' configuration to calculate the model.


Links

Links

In some cases it is not possible to directly join the different elements.

For this the link function allows to join them.

A link is always between a stiffness and either a mass / inertia or a 3 stiffness element.

To create a link click on [image] .

Point on the stiffness to link, move to the other element to link and release.


Assemble Disassemble

Assemble Disassemble

It is possible to assemble several elements into a group. A group can also be part of a bigger group.

To assemble elements click on [image] .

Click on the first element, this one will be displayed in green it represents the reference element for copying.
Click on the next element, this one will be displayed in red.
And so on, all the next elements will be displayed in red.

To finish the group, click once more on [image] .

Disassemble

Click on one element of the group, this one will be displayed in green and all the others in red.

Click on [image] to disassemble the group.


Theroy

Theory

Let's take the simple model with one mass, one damper and one spring.

If we pull the mass down and release it, it will go back to it's initial position with a periodic motion. The vibration frequency is the inverse of the vibration period. The decrement ratio is due to the damping.

The motion equation is:

which can be written as [image] or in it's parametric form

where w0 is the circular frequency
the natural frequency

and
d = coefficient of damping

The circular frequency [image] is without damping

And the natural frequency

For a model with more than one mass and one spring we need to calculate the dynamic matrix |A| which is the ratio of the stiffness matrix over the mass matrix.

The order of the dynamic matrix is equal to the number of masses. There are as many natural modes as there are masses.

Let's take following model:

With M1 = 1 kg M2 = 2 kg M3 = 0.5 kg
And K1 = K2 = K3 = K4 = 105 N/m
Mass matrix
M11 = 1 M12 = 0 M12 = 0
M21 = 0 M22 = 2 M23 = 1
M31 = 0 M32 = 0 M33 = 0.5
Stiffness matrix
K11 = 3*105 K12 = -105 K13 = -105
K21 = -105 K22 = 2*105 K23 = -105
K31 = -105 K32 = -105 K33 = 2*105
Dynamic matrix
A11 = 3*105 A12 = -105 A13 = -105
A21 = -50000 A22 = 105 A23 = -50000
A31 = -2*105 A32 = -2*105 A33 = 4*105

The circular frequencies are the square roots of the eigenvalues of the dynamic matrix.
There is one eigenvector associated with each natural frequency . The vectors are normalized, that means that all the values are multiplied by a factor so that the highest value is set to 1.

Natural frequencies and their eigenvectors

Vect
Freq 23.5 83.3 113.1

M1 0.68 1 -0.46
M2 1 -0.51 -0.07
M3 0.89 0.77 1

The meaning of the eigenvector is:
The mass with the eigenvector value of 1 will vibrate with the maximum amplitude.
The other masses will vibrate with an amplitude proportional to their eigenvector values.
The minus sign means an opposite direction.

For f1 = 23.5 Hz
M2 vibrates with the maximum amplitude
M1 vibrates with an amplitude equal to 68% of amplitude of M2
M3 vibrates with an amplitude equal to 89% of amplitude of M2

For f2 = 83.3 Hz
M1 vibrates with the maximum amplitude
M1 vibrates with an amplitude equal to 51% of amplitude of M1, in the opposite direction of M1
M3 vibrates with an amplitude equal to 77% of amplitude of M1, in the same direction as M1

For f3 = 113.1 Hz
M3 vibrates with the maximum amplitude
M1 vibrates with an amplitude equal to 46% of amplitude of M3 , in the opposite direction of M3
M2 vibrates with an amplitude equal to 7% of amplitude of M3 , in the opposite direction of M3

There is no relationship between eigenvector values of different frequencies.
The vibration amplitude of M1 at 83.3 Hz is not the same as M2 at 23.5 Hz.